#include <bits/stdc++.h>

using namespace std;

string a,b;
int inds=-1;

bool pot(int j,int i){
	j++;
	i++;
	int j0=j-1;
	inds=-1;
	while(j<a.size() && i<b.size()){
		if(a[j]==a[j0] && inds==-1) inds=j;
		if(a[j]==b[i]) i++;
		j++;
	}
	if(i==b.size()) return true;
	return false;
}

int main(){
	ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
	cin>>a>>b;
	int indp=-1;
	int dmax=200000;
	int ind=-1;
	for(int i=0;i<b.size();i++){
		int br=0;
		int aaa=indp+1;
		indp=-1;
		for(int j=aaa;j<a.size();j++){
			if(a[j]==b[i]){
				if(indp==-1) indp=j;
				if(pot(j,i)) br++;
				j=max(inds-1,j);
			}
		}
		if(br<dmax){
			ind=i;
			dmax=br;
		}
	}
	cout<<dmax<<"\n";
	for(int i=0;i<a.size();i++){
		if(a[i]==b[ind] && pot(i,ind)) a[i]='*';
	}
	cout<<a;
	return 0;
}